libbwa-dev_0.7.17-1ubuntu0.1_amd64.deb


Advertisement

Description

libbwa-dev - Burrows-Wheeler Aligner source files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename libbwa-dev_0.7.17-1ubuntu0.1_amd64.deb
Package name libbwa-dev
Package version 0.7.17
Package release 1ubuntu0.1
Package architecture amd64
Package type deb
Category universe/libdevel
Homepage http://bio-bwa.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 109.18 KB
Installed size 363.00 KB
BWA is a software package for mapping low-divergent sequences against
a large reference genome, such as the human genome. It consists of
three algorithms: BWA-backtrack, BWA-SW and BWA-MEM. The first
algorithm is designed for Illumina sequence reads up to 100bp, while
the rest two for longer sequences ranged from 70bp to 1Mbp. BWA-MEM
and BWA-SW share similar features such as long-read support and split
alignment, but BWA-MEM, which is the latest, is generally recommended
for high-quality queries as it is faster and more accurate. BWA-MEM
also has better performance than BWA-backtrack for 70-100bp Illumina
reads.
This package contains the source files for use in other programs.

Alternatives

Package Version Architecture Repository
libbwa-dev_0.7.17-1_amd64.deb 0.7.17 amd64 Ubuntu Universe
libbwa-dev - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libbwa-dev_0.7.17-1ubuntu0.1_amd64.deb
Source Package bwa

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbwa-dev deb package:
    # sudo apt-get install libbwa-dev

Changelog

2019-08-05 - Mike Salvatore <mike.salvatore@canonical.com>
bwa (0.7.17-1ubuntu0.1) bionic-security; urgency=medium
* SECURITY UPDATE: Stack buffer overflow via a long sequence name in a .alt
file
- debian/patches/CVE-2019-10269.patch: exit if .alt is malformatted
- CVE-2019-10269
2017-11-13 - Andreas Tille <tille@debian.org>
bwa (0.7.17-1) unstable; urgency=medium
* debian/upstream/metadata: RRID -> SciCrunch
[ Pointed out by John Marshall ]
* debian/patches/series:
- check_for_nan.patch superseded by upstream's
bcb475cd033b3641d2de19ad6fb70da7bdd54f77
- commenting issue behind fix_heap_block_overrun is analysed in
https://github.com/lh3/bwa/issues/146
[ Andreas Tille ]
* debhelper 10
* Standards-Version: 4.1.1
2017-08-07 - Steffen Moeller <moeller@debian.org>
bwa (0.7.16-1) unstable; urgency=medium
* Team upload.
* debian/control: Policy bump tp 4.1.0
* debian/upstream/metadata: Add references to registries.
2017-06-30 - Nadiya Sitdykova <rovenskasa@gmail.com>
bwa (0.7.15-5) unstable; urgency=medium
* Team upload.
[Nadiya Sitdykova]
* Add patch to fix heap block overrun 
* Add patch with workaround for incorrect implicit type casting
(resolves upstream issue #108) 
* Remove patch with workaround for issue #108
* Add patch that checks computed avg and std for nan
(straitforward fix for upstream issue #108)
Closes: #853859
* Add patch that fixes printing of unsigned counts
[Steffen Moeller]
* debian/upstream/metadata: Added bio.tools entry
2017-03-16 - Andreas Tille <tille@debian.org>
bwa (0.7.15-4) UNRELEASED; urgency=medium
* Debugging (see deactivated patch debian/patches/debug.patch that tries
to track down upstream issue #108)
==> Any help would be welcome!
* debian/upstream/metadata: Added RRID and SEQwiki entries (Steffen Moeller)
2017-01-27 - Andreas Tille <tille@debian.org>
bwa (0.7.15-3) unstable; urgency=medium
* bwa/kseq.h is used by SeqLib so include this into libbwa-dev package
2016-06-26 - Canberk KoƧ <canberkkoc@gmail.com>
bwa (0.7.15-2) unstable; urgency=medium
* Team upload
* Added testsuite
* debian/examples directory added
2016-06-03 - Andreas Tille <tille@debian.org>
bwa (0.7.15-1) unstable; urgency=medium
* New upstream version
* cme fix dpkg-control
* better hardening
2016-03-14 - Andreas Tille <tille@debian.org>
bwa (0.7.13-1) unstable; urgency=medium
* New upstream version
* cme fix dpkg-control
2015-09-27 - Michael R. Crusoe <crusoe@ucdavis.edu>
bwa (0.7.12-5) unstable; urgency=medium
* Make a libbwa-dev package for `salmon`.

See Also

Package Description
libc++-7-dev_7-3~ubuntu0.18.04.1_amd64.deb LLVM C++ Standard library (development files)
libc++-8-dev_8-3~ubuntu18.04.2_amd64.deb LLVM C++ Standard library (development files)
libc++-9-dev_9-2~ubuntu18.04.2_amd64.deb LLVM C++ Standard library (development files)
libc++1-7_7-3~ubuntu0.18.04.1_amd64.deb LLVM C++ Standard library
libc++1-8_8-3~ubuntu18.04.2_amd64.deb LLVM C++ Standard library
libc++1-9_9-2~ubuntu18.04.2_amd64.deb LLVM C++ Standard library
libc++abi-7-dev_7-3~ubuntu0.18.04.1_amd64.deb LLVM low level support for a standard C++ library (development files)
libc++abi-8-dev_8-3~ubuntu18.04.2_amd64.deb LLVM low level support for a standard C++ library (development files)
libc++abi-9-dev_9-2~ubuntu18.04.2_amd64.deb LLVM low level support for a standard C++ library (development files)
libc++abi1-7_7-3~ubuntu0.18.04.1_amd64.deb LLVM low level support for a standard C++ library
libc++abi1-8_8-3~ubuntu18.04.2_amd64.deb LLVM low level support for a standard C++ library
libc++abi1-9_9-2~ubuntu18.04.2_amd64.deb LLVM low level support for a standard C++ library
libc-client2007e-dev_2007f~dfsg-5ubuntu0.18.04.2_amd64.deb c-client library for mail protocols - development files
libc-client2007e_2007f~dfsg-5ubuntu0.18.04.2_amd64.deb c-client library for mail protocols - library files
libc-icap-mod-clamav_0.4.4-1ubuntu0.1_all.deb transitional dummy package
Advertisement
Advertisement